Java 7 Support And Java 8 Compatibility With OFSAAI+Websphere While Upgrading From a Lower Version to Latest 8.0.x Version (Doc ID 2207773.1)

Last updated on JANUARY 20, 2017

Applies to:

Oracle Financial Services Analytical Applications Infrastructure - Version 8.0.3 and later
Information in this document applies to any platform.
Oracle Financial Services Analytical Applications (OFSAA)
Oracle Financial Services Analytical Applications Infrastructure (OFSAAI)

Goal

The following questions arise on Java 7 support and Java 8 compatibility with OFSAAI.

The requirement is to upgrade and migrate from OFSA 4.5 to latest 8.x or to simply migrate from a lower version to latest 8.0.x version.

As per the latest technology matrix the following combination is available: Websphere + Java 8 + OFSAAI.

(a) How Java 7 will be supported if using this in a new installation for the latest version of OFSAAI?
(b) When in the road map will Java 8 with Websphere will be supported by OFSAAI application?
(c) Will the solution remain on Java 7 till further upgraded to a major release or are there patches to enable new version of Java?
(d) On the java website it says the updates are available to customers, so from where can you download the java 7 latest updates?
(e) How long will the updates for java 7 will be available?
(f) How is eligibility determined for these updates OR is it required to buy java support separately?

==================================
https://java.com/en/download/faq/java_7.xml
Where can I get Java 7 downloads?
July 2015: Updates for Java 7 are no longer available to the public. Oracle offers updates to Java 7 only for customers who have purchased Java support or have Oracle products that require Java 7.
==================

The version of DB will be 12C.

Solution

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms